Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.report
Class MultirowReportConfig2

    java.lang.Object
      com.sun.mdm.index.report.ReportConfig
          com.sun.mdm.index.report.MultirowReportConfig1
              com.sun.mdm.index.report.MultirowReportConfig2

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AssumedMatchReportConfig, MergeReportConfig, PotentialDuplicateReportConfig, UnmergeReportConfig, UpdateReportConfig

public abstract class MultirowReportConfig2
extends MultirowReportConfig1

Base configuration class for reports that contain two object images

See Also:
  Serialized Form

Constructor Summary
`MultirowReportConfig2()`

Method Summary
`void` | `addObjectField(java.lang.String epath, java.lang.String label1, java.lang.String label2, int length)` Add an Object Field.
`java.lang.String` | `getObjectFieldLabel2(java.lang.String epath)` Get the second field label for an EPath.

Methods inherited from class com.sun.mdm.index.report.MultirowReportConfig1
`addObjectField, addTransactionField, addTransactionFieldVisibleLine1, addTransactionFieldVisibleLine2, getObjectFieldLabel1, getObjectFieldLength, getObjectFields, getTransactionFieldLabel, getTransactionFieldLength, getTransactionFields, getTransactionFieldVisibleLine1, getTransactionFieldVisibleLine2`

Methods inherited from class com.sun.mdm.index.report.ReportConfig
`getEndDate, getMaxResultSize, getPageSize, getStartDate, setEndDate, setMaxResultSize, setPageSize, setStartDate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultirowReportConfig2

    public MultirowReportConfig2()

Method Detail

### addObjectField

    public void addObjectField(java.lang.String epath,
                               java.lang.String label1,
                               java.lang.String label2,
                               int length)
                        throws EPathException

  Add an Object Field.

  Parameters:
    `epath` - EPath of the object field.
    `label1` - First label for the field.
    `label2` - Second labelfor the field.
    `length` - Length of the field.
  Throws:
    `EPathException`

### getObjectFieldLabel2

    public java.lang.String getObjectFieldLabel2(java.lang.String epath)

  Get the second field label for an EPath.

  Parameters:
    `epath` - EPath of the object field.
  Returns:
    The second field label for an EPath.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.